# DataExchange
TKSTEPBase
StepGeom

# StepGeom_HArray1OfSurfaceBoundary Class Reference

`#include <StepGeom_HArray1OfSurfaceBoundary.hxx>`

## Public Member Functions

Standard_EXPORT | StepGeom_HArray1OfSurfaceBoundary (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_HArray1OfSurfaceBoundary (const Standard_Integer Low, const Standard_Integer Up, const StepGeom_SurfaceBoundary &V)
Standard_EXPORT void | Init (const StepGeom_SurfaceBoundary &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_SurfaceBoundary &Value)
const StepGeom_SurfaceBoundary & | Value (const Standard_Integer Index) const
StepGeom_SurfaceBoundary & | ChangeValue (const Standard_Integer Index)
const StepGeom_Array1OfSurfaceBoundary & | Array1 () const
StepGeom_Array1OfSurfaceBoundary & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepGeom_Array1OfSurfaceBoundary | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_HArray1OfSurfaceBoundary::StepGeom_HArray1OfSurfaceBoundary | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_HArray1OfSurfaceBoundary::StepGeom_HArray1OfSurfaceBoundary | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepGeom_SurfaceBoundary & | V
| ) |

## Member Function Documentation

const StepGeom_Array1OfSurfaceBoundary& StepGeom_HArray1OfSurfaceBoundary::Array1 | ( |  | ) | const

StepGeom_Array1OfSurfaceBoundary& StepGeom_HArray1OfSurfaceBoundary::ChangeArray1 | ( |  | ) |

StepGeom_SurfaceBoundary& StepGeom_HArray1OfSurfaceBoundary::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepGeom_HArray1OfSurfaceBoundary::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepGeom_HArray1OfSurfaceBoundary::Init | ( | const StepGeom_SurfaceBoundary & | V | ) |

Standard_Integer StepGeom_HArray1OfSurfaceBoundary::Length | ( |  | ) | const

Standard_Integer StepGeom_HArray1OfSurfaceBoundary::Lower | ( |  | ) | const

void StepGeom_HArray1OfSurfaceBoundary::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_SurfaceBoundary & | Value
| ) |

Standard_Integer StepGeom_HArray1OfSurfaceBoundary::Upper | ( |  | ) | const

const StepGeom_SurfaceBoundary& StepGeom_HArray1OfSurfaceBoundary::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepGeom_Array1OfSurfaceBoundary StepGeom_HArray1OfSurfaceBoundary::myArray `[private]`

The documentation for this class was generated from the following file:

- StepGeom_HArray1OfSurfaceBoundary.hxx